﻿
public class DualDALSQL
{
    public string obterDual()
    {
        return @"                 
                SELECT '3214019' CODCLI,'A DO NASCIMENTO BIJOUTERIA ME' NOMCLI, '67.911.413/0001-40' NUMCGCCLI, 15498 NRONF, 156 NROTIT, 'DENISOV SILVA' NOMRES, '10/10/2017' DATVEN, 102 SLDDEV FROM DUAL                 
                 UNION
                SELECT '3414372' CODCLI,'NOSSA REDE SUPERMERCADOS EIRELI ME' NOMCLI, '65.911.453/0001-40' NUMCGCCLI, 65416 NRONF, 157 NROTIT, 'CARLOS MARLON' NOMRES, '10/11/2017' DATVEN, 1009 SLDDEV FROM DUAL                 
                 UNION
                SELECT '1121367' CODCLI,'MARIA IRANILDE DE SOUSA LIMA' NOMCLI, '67.901.453/0001-40' NUMCGCCLI, 4148791 NRONF, 158 NROTIT, 'CAIO MATOS' NOMRES, '10/12/2017' DATVEN, 1199 SLDDEV FROM DUAL                 
                 UNION
                SELECT '322451' CODCLI,'FARMACIA LOPES FERREIRA LTDA' NOMCLI, '61.911.453/0001-40' NUMCGCCLI, 494874 NRONF, 159 NROTIT, 'JUCILEI SILVA' NOMRES, '10/01/2018' DATVEN, 1259 SLDDEV FROM DUAL                 
                 UNION
                SELECT '211952' CODCLI,'MINICUSTO COMERCIO ALIMENTOS LTDA M' NOMCLI, '17.911.453/0001-40' NUMCGCCLI, 89874 NRONF, 160 NROTIT, 'MARCUS CARLOS' NOMRES, '10/01/2018' DATVEN, 1800 SLDDEV FROM DUAL                 
                 UNION
                SELECT '211467 ' CODCLI,'GUILHERME LEMES CANDIDO' NOMCLI, '27.911.453/0001-40' NUMCGCCLI, 984818 NRONF, 161 NROTIT, 'JOAO SILVA' NOMRES, '10/01/2018' DATVEN, 1999 SLDDEV FROM DUAL                 
                ";
    }

    public string obterDualServico()
    {
        return @"
                 SELECT 7 CODSVCTGV, 'TEF SATELITE' DESSVCTGV, '199,99' VLRTAB, '180,99' VLRFINDSC, 'ATIVO' STATUSSERVICO, '10/10/2017' DATAATIVACAO, '' INICIOSUSPENSAO, '' FIMSUSPENSAO, '' DATACANCELAMENTO, '' MOTIVOCANCELAMENTO FROM DUAL
                 UNION
                 SELECT 12 CODSVCTGV, 'TEF FACIL' DESSVCTGV, '299,99' VLRTAB, '259,99' VLRFINDSC, 'SUSPENSO' STATUSSERVICO, '10/10/2017' DATAATIVACAO, '01/05/2018' INICIOSUSPENSAO, '' FIMSUSPENSAO, '' DATACANCELAMENTO, '' MOTIVOCANCELAMENTO FROM DUAL
                ";
    }

    public string obterDualDesconto()
    {
        return @"
                 SELECT 10 CODCNDCMC, '' CESTPROD,  '15% DOMICILIO TRIBANCO' DESCNDCMC, '199,99' VLRDSC, '180,99' PERDSC, 'ATIVO' DATINI, '10/10/2017' DATFIM, 'ATIVO' STATUS, '' DATAALTERACAO FROM DUAL
                 UNION
                 SELECT 15 CODCNDCMC, '' CESTPROD,  'DESCONTO EXTRA NEGOCIACAO' DESCNDCMC, '19,99' VLRDSC, '180,99' PERDSC, 'ATIVO' DATINI, '10/10/2017' DATFIM, 'ATIVO' STATUS, '' DATAALTERACAO FROM DUAL
                ";
    }

    public string obterDuaBranco()
    {
        return @"
                 SELECT '' PROBLEMA FROM DUAL                
                ";
    }

    public string obterDualAnotacao()
    {
        return @"
                 SELECT 1 NUMSEQ, 'COBRAÇA TEF - Realizar cobrança fase 1' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'CONCLUÍDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#904921' CORTIP FROM DUAL
                 UNION
                 SELECT 2 NUMSEQ,'COBRAÇA TEF - Bloqueio SiTef' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'CONCLUÍDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#904921' CORTIP FROM DUAL
                 UNION
                 SELECT 3 NUMSEQ,'COBRAÇA TEF - Realizar cobrança fase 2' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'CONCLUÍDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#75a433' CORTIP FROM DUAL
                 UNION
                 SELECT 4 NUMSEQ,'COBRAÇA TEF - Bloqueio de Comunicação' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'AGUARDANDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#f3a619' CORTIP FROM DUAL
                 UNION
                 SELECT 5 NUMSEQ,'COBRAÇA TEF - Validar Pagamento' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'AGUARDANDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#c84320' CORTIP FROM DUAL
                 UNION
                 SELECT 6 NUMSEQ,'COBRAÇA TEF - Pagamento Confirmado' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'AGUARDANDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#232859' CORTIP FROM DUAL
                 UNION
                 SELECT 7 NUMSEQ,'COBRAÇA TEF - Retenção' DESATV, 'ROBERTO ALVES FERREIRA' NOMFNC,  'AGUARDANDO' STATUS, '16/08/2018 12:00' AGDATV, '20/08/2018' FIMAGDATV, '#2c8e86' CORTIP FROM DUAL
                ";
    }

    public string obterNotasFiscais()
    {
        return @"
                 SELECT 1879 NRONOTA, 12546 NROTIT, 'TEF SATELITAL' DESSVCTGV,  '16/08/2018' DATVEN, '869,89' VLRNFE, '' DATPAG, '500,00' VLRPAG, '1' PARNFE, 'ATIVO' STATUS, 'BOLETO' FRMPAG FROM DUAL
                 UNION
                 SELECT 2549 NRONOTA, 2546 NROTIT, 'TEF FACIL' DESSVCTGV,  '16/09/2018' DATVEN, '869,89' VLRNFE, '' DATPAG, '400,00' VLRPAG, '2' PARNFE, 'ATIVO' STATUS, 'BOLETO' FRMPAG FROM DUAL
                 UNION
                 SELECT 819 NRONOTA, 12586 NROTIT, 'TEF SATELITAL' DESSVCTGV,  '16/10/2018' DATVEN, '869,89' VLRNFE, '10/11/2018' DATPAG, '250,00' VLRPAG, '3' PARNFE, 'ATIVO' STATUS, 'BOLETO' FRMPAG FROM DUAL
                ";
    }
}